org.jgrapht.alg.interfaces

## Interface StrongConnectivityAlgorithm<V,E>

- Type Parameters:
    `V` - vertex concept type
    `E` - edge concept type
  All Known Implementing Classes:
    GabowStrongConnectivityInspector, KosarajuStrongConnectivityInspector, StrongConnectivityInspector

      public interface StrongConnectivityAlgorithm<V,E>

  An interface to the StrongConnectivityInspector algorithm classes. These classes verify whether the graph is strongly connected.
  Since:
    September, 2013
  Author:
    Sarah Komla-Ebri

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DirectedGraph<V,E>` | `getGraph()` Returns the graph inspected by the StrongConnectivityAlgorithm.
    `boolean` | `isStronglyConnected()` Returns true if the graph of this `StrongConnectivityAlgorithm` instance is strongly connected.
    `List<Set<V>>` | `stronglyConnectedSets()` Computes a `List` of `Set`s, where each set contains vertices which together form a strongly connected component within the given graph.
    `List<DirectedSubgraph<V,E>>` | `stronglyConnectedSubgraphs()` Computes a list of `DirectedSubgraph`s of the given graph.

- - ### Method Detail

    - #### getGraph

          DirectedGraph<V,E> getGraph()

      Returns the graph inspected by the StrongConnectivityAlgorithm.
      Returns:
        the graph inspected by this StrongConnectivityAlgorithm

    - #### isStronglyConnected

          boolean isStronglyConnected()

      Returns true if the graph of this `StrongConnectivityAlgorithm` instance is strongly connected.
      Returns:
        true if the graph is strongly connected, false otherwise

    - #### stronglyConnectedSets

          List<Set<V>> stronglyConnectedSets()

      Computes a `List` of `Set`s, where each set contains vertices which together form a strongly connected component within the given graph.
      Returns:
        `List` of `Set` s containing the strongly connected components

    - #### stronglyConnectedSubgraphs

          List<DirectedSubgraph<V,E>> stronglyConnectedSubgraphs()

      Computes a list of `DirectedSubgraph`s of the given graph. Each subgraph will represent a strongly connected component and will contain all vertices of that component. The subgraph will have an edge (u,v) iff u and v are contained in the strongly connected component.

      Returns:
        a list of subgraphs representing the strongly connected components

Copyright © 2016. All rights reserved.